Bug 212864 - Do you smell smoke? Who shut down the frickin' fans?
Do you smell smoke? Who shut down the frickin' fans?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 15:14 EST by Richard Schaal
Modified: 2008-05-06 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from subject system (15.38 KB, text/plain)
2006-11-07 22:33 EST, Richard Schaal
no flags Details

  None (edit)
Description Richard Schaal 2006-10-29 15:14:49 EST
Description of problem:
It's too quiet!

Version-Release number of selected component (if applicable):
FC6

How reproducible:
SOLID on this system

Steps to Reproduce:
1.Boot
2.
3.
  
Actual results:
Fans that are running on power - on shut down.

Expected results:
They should keep running.

Additional info:
This is the first time this system has acted this way.  - prior to installation
of FC6, this box was about as loud as a vacuum cleaner.  

While I enjoy the peace, I don't want to burn my house down either.
What did this?
Comment 1 Phil Knirsch 2006-11-07 09:32:20 EST
Hm, so you're saying your fans get disabled during the bootup of FC6?

That would be really strange indeed. I've tested it on a lot of machines here
and none of the showed this problem.

Did you do anything special? And have you checked if the fans run with FC5 or
any other operating system?

Read ya, Phil
Comment 2 Richard Schaal 2006-11-07 22:33:40 EST
Created attachment 140622 [details]
dmesg from subject system

The fans worked fine on FC4, FC4 and FC5.  I have enclosed the DMESG output
from the subject system - take a look at the lines starting with ACPI ... you
will see the fan(s) turned off.

Note that this is an older system. It seems to me that prior operating systems
would have said something about the BIOS being too old to support ACPI.  I
don't see that message now.
Comment 3 Richard Schaal 2006-11-15 17:53:47 EST
I have a temporary workaround.  Simply set ACPI=OFF in the kernel command line
on boot.  The fans stay running, and the system won't burn the house down.

Pretty sure that the real fix is to revisit the earlier blacklist or other
criteria for allowing ACPI to run, and reinstate that.
Comment 4 Phil Knirsch 2007-05-16 06:10:27 EDT
Hm, if you need to turn off acpi completely in the kernel to make it work this
sounds very much like a kernel problem.

Reassigning to kernel then.

Read ya, Phil
Comment 5 Chuck Ebbert 2007-05-16 17:59:47 EDT
ACPI_BLACKLIST_YEAR is set to 1999 in the Fedora configuration files.
Is that not working?
Comment 6 Bug Zapper 2008-04-04 00:15:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:37:26 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.